<%@ Page Language="C#" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>Jeffz Declarative Web Service Call</title>
	
	<style type="text/css">
		body { font-family : Verdana; font-size : 12px; }
		thead { font-weight : bold; }
		td { padding : 3px; width: 100px; }
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<atlas:ScriptManager runat="server" ID="ScriptManager1">
			<Scripts>
				<atlas:ScriptReference Path="JeffzServiceMethodRequest.js" />
			</Scripts>
		</atlas:ScriptManager>
		
		Name: <input type="text" id="txtName" /><br />
		Age: <input type="text" id="txtAge" /><br />
		<input type="button" value="invoke" id="btnInvoke" />
		<hr />
		
		<div id="listView"></div>
		
		<!-- Layout Elements -->
		<div style="display: none;">
			<!-- Layout Template -->
			<table id="layoutTemplate" border="1" cellpadding="0" cellspacing="0">
				<thead>
					<tr>
						<td>Name</td>
						<td>Age</td>
					</tr>
				</thead>
				<!-- Repeat Template -->
				<tbody id="itemTemplateParent">
					<!-- Repeat Item Template -->
					<tr id="itemTemplate">
						<td><span id="lblName" /></td>
						<td><span id="lblAge" /></td>
					</tr>
				</tbody>
			</table>
			<!-- Empty Template -->
			<div id="emptyTemplate">
				No Data
			</div>
		</div>
	</form>
	
	<script type="text/xml-script">
		<page xmlns:jeffz="http://www.jeffzlive.net">
			<components>
				<button id="btnInvoke">
					<click>
						<invokeMethod target="employeeService" method="invoke" />
					</click>
				</button>
				
				<textBox id="txtName" />
				<textBox id="txtAge" />
				
				<jeffz:serviceMethod id="employeeService" url="EmployeeService.asmx" methodName="AddEmployee" priority="High">
					<parameters>
						<jeffz:param name="name">
							<bindings>
								<binding dataContext="txtName" dataPath="text" property="value" />
							</bindings>
						</jeffz:param>
						<jeffz:param name="age">
							<bindings>
								<binding dataContext="txtAge" dataPath="text" property="value" />
							</bindings>
						</jeffz:param>
					</parameters>
				</jeffz:serviceMethod>
				
				<listView id="listView" itemTemplateParentElementId="itemTemplateParent">
					<bindings>
						<binding dataContext="employeeService" dataPath="result" property="data" />
					</bindings>
					<layoutTemplate>
						<template layoutElement="layoutTemplate" />
					</layoutTemplate>
					<itemTemplate>
						<template layoutElement="itemTemplate">
							<label id="lblName">
								<bindings>
									<binding dataPath="Name" property="text" />	
								</bindings>
							</label>
							<label id="lblAge">
								<bindings>
									<binding dataPath="Age" property="text" />
								</bindings>
							</label>
						</template>
					</itemTemplate>
					<emptyTemplate>
						<template layoutElement="emptyTemplate"/>
					</emptyTemplate>
				</listView>
			</components>
		</page>
	</script>
</body>
</html>
